## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z
- ~

### - m -

- Main() : csApplicationFramework
- makeDWord() : csSndFunc
- MakeDynamic() : iDynamicsSystemCollider, iRigidBody
- makeEmpty() : csRectRegion
- MakeEmpty() : csCoverageTile, csPolyIndexed, csPoly2DEdges, csPoly3D, csPoly2D, csFrustum, csRect
- MakeEmptyQuick() : csCoverageTile
- MakeImageData() : csCommonImageFile
- MakeInfinite() : csFrustum
- MakeRoom() : csPolyIndexed, csPoly2DEdges, csPoly3D, csPoly2D
- MakeStatic() : iDynamicsSystemCollider, iRigidBody
- makeWord() : csSndFunc
- ManhattanDistance() : csBox3
- MapToFold() : csUnicodeTransform
- MapToLower() : csUnicodeTransform
- MapToUpper() : csUnicodeTransform
- MapWindow() : csPlatformMemoryMappingWin32, csPlatformMemoryMappingPosix, csPlatformMemoryMappingDummy
- Mark() : iAws, csPartialOrder< T >
- MarkCulledObject() : csTiledCoverageBuffer
- MarkEmpty() : csCoverageTile
- markForGather() : csRectRegion
- MarkNewRegion() : iShadowBlockList
- MarkRelevant() : iShadowIterator
- MarkToDelete() : awsEmbeddedComponent, iAwsComponent
- MarkToDeleteRecursively() : iAws
- MaskEraser() : iAws
- Match() : csRegExpMatcher
- MatchDecRef() : iRefTracker, csRefTrackerAccess
- MatchIncRef() : iRefTracker, csRefTrackerAccess
- Material() : CrystalSpace::ImportKit::Container::Material, csNewParticleSystem
- Max() : csBox3, csBox2
- Maximize() : awsEmbeddedComponent, iAwsComponent
- MaxX() : csBox3, csBox2
- MaxY() : csBox3, csBox2
- MaxZ() : csBox3
- md5_append() : csMD5
- md5_finish() : csMD5
- md5_init() : csMD5
- MemMove() : csSafeCopyArrayMemoryAllocator< T, ElementHandler >, csArrayMemoryAllocator< T >
- MergeIntoBuffer() : iSndSysSourceSoftware
- MergeNormals() : iSprite3DFactoryState
- MergeTemplate() : iBezierFactoryState
- Min() : csBox3, csBox2
- MinX() : csBox3, csBox2
- MinY() : csBox3, csBox2
- MinZ() : csBox3
- Mipmap() : csImageManipulate
- Mix() : csPixMixerNoop< Tpixel >, csPixMixerRGBA< Tpixel >, csPixMixerCopy< Tpixel >
- MixingFunction() : iSoundRender
- Model() : CrystalSpace::ImportKit::Container::Model, CrystalSpace::ImportKit::Container::Model::Mesh
- Mount() : iVFS
- MountRoot() : iVFS
- Mouse() : iEventOutlet, csEventOutlet
- mouse_down() : iOSXAssistant
- mouse_moved() : iOSXAssistant
- mouse_up() : iOSXAssistant
- mouseEntered: : OSXDelegate2D
- MouseInComponent() : iAws
- MovableChanged() : iMovableListener
- MovableDestroyed() : iMovableListener
- Move() : iCamera, awsEmbeddedComponent, iAwsComponent, csColliderActor, csClipInfo, csRect
- MoveAfter() : csList< T >
- MoveBefore() : csList< T >
- MoveFrame() : iSprite2DUVAnimation
- MoveInstance() : iInstancingMeshState
- MoveObject() : csKDTree
- MovePosition() : iParticle, iMovable
- MoveTo() : awsEmbeddedComponent, iAwsComponent
- MoveUnrestricted() : iCamera
- MoveWorld() : iCamera
- MoveWorldUnrestricted() : iCamera